(() => {
    var __webpack_modules__ = [ (__unused_webpack_module, __unused_webpack_exports, __webpack_require__) => {
        __webpack_require__(1);
        __webpack_require__(2);
        __webpack_require__(3);
        __webpack_require__(4);
        __webpack_require__(5);
        __webpack_require__(6);
        __webpack_require__(7);
        __webpack_require__(8);
        __webpack_require__(9);
    }, () => {
        wp.customize.controlConstructor["wp-moose-slider"] = wp.customize.Control.extend({
            ready: function ready() {
                "use strict";
                var control = this, value, controlClass = ".customize-control-wp-moose-slider", footerActions = jQuery("#customize-footer-actions");
                jQuery(".wp-moose-slider").each((function() {
                    var _this = jQuery(this);
                    var _input = _this.closest("label").find('input[type="number"]');
                    var _text = _input.next(".value");
                    _this.slider({
                        value: _input.val(),
                        min: _this.data("min"),
                        max: _this.data("max"),
                        step: _this.data("step"),
                        slide: function slide(event, ui) {
                            _input.val(ui.value).change();
                            _text.text(ui.value);
                        }
                    });
                }));
                jQuery(controlClass + " .wp_moose_range_value input[type=number]").on("input", (function() {
                    value = jQuery(this).attr("value");
                    if ("" == value) {
                        value = -1;
                    }
                    jQuery(this).closest("label").find(".wp-moose-slider").slider("value", parseFloat(value)).change();
                }));
                jQuery(controlClass + " .wp-moose-reset").on("click", (function() {
                    var icon = jQuery(this), visible_area = icon.closest(".wp-moose-range-slider-control").find(".wp-moose-range-slider-areas").children("label:visible"), input = visible_area.find("input[type=number]"), slider_value = visible_area.find(".wp-moose-slider"), visual_value = visible_area.find(".wp_moose_range_value"), reset_value = input.attr("data-reset_value");
                    input.val(reset_value).change();
                    visual_value.find("input").val(reset_value);
                    visual_value.find(".value").text(reset_value);
                    if ("" == reset_value) {
                        reset_value = -1;
                    }
                    slider_value.slider("value", parseFloat(reset_value));
                }));
                jQuery(controlClass + " .wp-moose-range-slider-control").each((function() {
                    var _this = jQuery(this);
                    _this.find(".wp-moose-device-controls").children("span:first-child").addClass("selected");
                    _this.find(".range-option-area:first-child").show();
                }));
                jQuery(controlClass + " .wp-moose-device-controls > span").on("click", (function(event) {
                    var device = jQuery(this).data("option");
                    jQuery(controlClass + " .wp-moose-device-controls span").each((function() {
                        var _this = jQuery(this);
                        if (device == _this.attr("data-option")) {
                            _this.addClass("selected");
                            _this.siblings().removeClass("selected");
                        }
                    }));
                    jQuery(controlClass + " .wp-moose-range-slider-areas label").each((function() {
                        var _this = jQuery(this);
                        if (device == _this.attr("data-option")) {
                            _this.show();
                            _this.siblings().hide();
                        }
                    }));
                    wp.customize.previewedDevice.set(jQuery(event.currentTarget).data("option"));
                }));
                footerActions.find(".devices button").on("click", (function() {
                    var device = jQuery(this).data("device");
                    jQuery(controlClass + " .wp-moose-device-controls span").each((function() {
                        var _this = jQuery(this);
                        if (device == _this.attr("data-option")) {
                            _this.addClass("selected");
                            _this.siblings().removeClass("selected");
                        }
                    }));
                    jQuery(controlClass + " .wp-moose-range-slider-areas label").each((function() {
                        var _this = jQuery(this);
                        if (device == _this.attr("data-option")) {
                            _this.show();
                            _this.siblings().hide();
                        }
                    }));
                }));
                control.container.on("input change", ".desktop-range", (function() {
                    control.settings["desktop"].set(jQuery(this).val());
                }));
                control.container.on("input change", ".tablet-range", (function() {
                    control.settings["tablet"].set(jQuery(this).val());
                }));
                control.container.on("input change", ".mobile-range", (function() {
                    control.settings["mobile"].set(jQuery(this).val());
                }));
            }
        });
    }, () => {
        (function($, api) {
            var control = api.Control.extend({
                ready: function ready() {
                    var control = this;
                    api.bind("ready", (function() {
                        api(control.id, (function(value) {
                            if (control.params.should_init) {
                                control.handleValueChange(value.get());
                            }
                            value.bind(control.handleValueChange.bind(control));
                        }));
                    }));
                },
                getAllSubControls: function getAllSubControls(subcontrols) {
                    if (!subcontrols) {
                        return [];
                    }
                    var allControls = Object.values(subcontrols);
                    return [].concat.apply([], allControls);
                },
                handleValueChange: function handleValueChange(value) {
                    var _this$params$subcontr, _controls$value;
                    var controls = (_this$params$subcontr = this.params.subcontrols) !== null && _this$params$subcontr !== void 0 ? _this$params$subcontr : {};
                    var controlsToShow = (_controls$value = controls[value]) !== null && _controls$value !== void 0 ? _controls$value : [];
                    var allControls = this.getAllSubControls(controls);
                    this.hideControls(allControls);
                    this.showControls(controlsToShow);
                },
                showControls: function showControls(controls) {
                    for (i in controls) {
                        var controlName = controls[i];
                        var control = api.control(controlName);
                        if (typeof control === "undefined") {
                            continue;
                        }
                        selector = control.selector;
                        jQuery(selector).show();
                        if (typeof control.params.subcontrols !== "undefined") {
                            var currentValue = control.setting._value;
                            var subControlsToShow = control.params.subcontrols[currentValue];
                            this.showControls(subControlsToShow);
                        }
                    }
                },
                hideControls: function hideControls(controls) {
                    for (i in controls) {
                        var control = api.control(controls[i]);
                        if (typeof control === "undefined") {
                            continue;
                        }
                        this.hideControls(this.getAllSubControls(control.params.subcontrols));
                        selector = control.selector;
                        jQuery(selector).hide();
                    }
                }
            });
            api.controlConstructor["wp-moose-image-radio-button"] = control;
            api.controlConstructor["wp-moose-select"] = control;
        })(jQuery, wp.customize);
    }, () => {
        wp.customize.controlConstructor["wp-moose-tabs"] = wp.customize.Control.extend({
            ready: function ready() {
                "use strict";
                var control = this;
                wp.customize.bind("ready", (function() {
                    setTimeout((function() {
                        control.showControlsInTab(control.params.default_tab);
                    }), 100);
                }));
                this.handleClick();
            },
            hideAllControls: function hideAllControls(section) {
                var controls = wp.customize.section(section).controls();
                for (var i in controls) {
                    var control = controls[i];
                    if (control.id !== this.id) {
                        jQuery(control.selector).hide();
                    }
                }
            },
            showControls: function showControls(controls) {
                for (var i in controls) {
                    var id = controls[i];
                    if (typeof wp.customize.control(id) !== "undefined") {
                        var selector = wp.customize.control(id).selector;
                        jQuery(selector).show();
                    }
                }
            },
            showControlsInTab: function showControlsInTab(tab) {
                var control = this;
                var section = control.section();
                control.hideAllControls(section);
                var controlsToShow = control.params.controls[tab];
                var allControls = [];
                for (var id in controlsToShow) {
                    if (jQuery.isEmptyObject(controlsToShow[id]) === false && typeof wp.customize.control(id) !== "undefined") {
                        var subTabValue = wp.customize.control(id).setting._value;
                        allControls = allControls.concat(controlsToShow[id][subTabValue]);
                    }
                    allControls.push(id);
                }
                control.showControls(allControls);
            },
            handleClick: function handleClick() {
                var control = this;
                jQuery(control.container).find(".wp-moose-customizer-tab").on("click", (function() {
                    jQuery(this).parent().find(".wp-moose-customizer-tab").removeClass("active");
                    jQuery(this).addClass("active");
                    control.showControlsInTab(jQuery(this).data("tab"));
                }));
            }
        });
    }, () => {
        (function($, api) {
            api.controlConstructor["wp-moose-gradient"] = api.Control.extend({
                ready: function ready() {
                    var control = this;
                    var _start_editor = $(control.selector).find(".start-editor");
                    var _end_editor = $(control.selector).find(".end-editor");
                    _start_editor.wpColorPicker({
                        change: function change() {
                            var value = _start_editor.wpColorPicker("color");
                            control.settings["start"].set(value);
                        }
                    });
                    _end_editor.wpColorPicker({
                        change: function change() {
                            var value = _end_editor.wpColorPicker("color");
                            control.settings["end"].set(value);
                        }
                    });
                    api.bind("ready", (function() {
                        function handleValueChange(value) {
                            function update() {
                                var _preview = $(control.selector).find(".wp-moose-gradient-preview");
                                var start_value = control.settings["start"].get();
                                var end_value = control.settings["end"].get();
                                var rotation_value = control.settings["rotation"].get();
                                _preview.css("background-image", "linear-gradient(".concat(rotation_value, "deg, ").concat(start_value, " 0%, ").concat(end_value, " 100%)"));
                            }
                            update();
                            value.bind(update);
                        }
                        api(control.settings["start"].id, handleValueChange);
                        api(control.settings["end"].id, handleValueChange);
                        api(control.settings["rotation"].id, handleValueChange);
                    }));
                }
            });
        })(jQuery, wp.customize);
    }, () => {
        Color.prototype.toString = function(flag) {
            if ("no-alpha" == flag) {
                return this.toCSS("rgba", "1").replace(/\s+/g, "");
            }
            if (1 > this._alpha) {
                return this.toCSS("rgba", this._alpha).replace(/\s+/g, "");
            }
            var hex = parseInt(this._color, 10).toString(16);
            if (this.error) {
                return "";
            }
            if (hex.length < 6) {
                for (var i = 6 - hex.length - 1; i >= 0; i--) {
                    hex = "0" + hex;
                }
            }
            return "#" + hex;
        };
        function acp_get_alpha_value_from_color(value) {
            var alphaVal;
            value = value.replace(/ /g, "");
            if (value.match(/rgba\(\d+\,\d+\,\d+\,([^\)]+)\)/)) {
                alphaVal = parseFloat(value.match(/rgba\(\d+\,\d+\,\d+\,([^\)]+)\)/)[1]).toFixed(2) * 100;
                alphaVal = parseInt(alphaVal);
            } else {
                alphaVal = 100;
            }
            return alphaVal;
        }
        function acp_update_alpha_value_on_color_control(alpha, $control, $alphaSlider, update_slider) {
            var iris, colorPicker, color;
            iris = $control.data("a8cIris");
            colorPicker = $control.data("wpWpColorPicker");
            iris._color._alpha = alpha;
            color = iris._color.toString();
            $control.val(color);
            colorPicker.toggler.css({
                "background-color": color
            });
            if (update_slider) {
                acp_update_alpha_value_on_alpha_slider(alpha, $alphaSlider);
            }
            $control.wpColorPicker("color", color);
        }
        function acp_update_alpha_value_on_alpha_slider(alpha, $alphaSlider) {
            $alphaSlider.slider("value", alpha);
            $alphaSlider.find(".ui-slider-handle").text(alpha.toString());
        }
        jQuery(document).ready((function($) {
            $(".alpha-color-control").each((function() {
                var $control, startingColor, paletteInput, showOpacity, defaultColor, palette, colorPickerOptions, $container, $alphaSlider, alphaVal, sliderOptions;
                $control = $(this);
                startingColor = $control.val().replace(/\s+/g, "");
                paletteInput = $control.attr("data-palette");
                showOpacity = $control.attr("data-show-opacity");
                defaultColor = $control.attr("data-default-color");
                if (paletteInput.indexOf("|") !== -1) {
                    palette = paletteInput.split("|");
                } else if ("false" == paletteInput) {
                    palette = false;
                } else {
                    palette = true;
                }
                colorPickerOptions = {
                    change: function change(event, ui) {
                        var key, value, alpha, $transparency;
                        key = $control.attr("data-customize-setting-link");
                        value = $control.wpColorPicker("color");
                        if (defaultColor == value) {
                            alpha = acp_get_alpha_value_from_color(value);
                            $alphaSlider.find(".ui-slider-handle").text(alpha);
                        }
                        wp.customize(key, (function(obj) {
                            obj.set(value);
                        }));
                        $transparency = $container.find(".transparency");
                        $transparency.css("background-color", ui.color.toString("no-alpha"));
                    },
                    palettes: palette
                };
                $control.wpColorPicker(colorPickerOptions);
                $container = $control.parents(".wp-picker-container:first");
                $('<div class="alpha-color-picker-container">' + '<div class="min-click-zone click-zone"></div>' + '<div class="max-click-zone click-zone"></div>' + '<div class="alpha-slider"></div>' + '<div class="transparency"></div>' + "</div>").appendTo($container.find(".wp-picker-holder"));
                $alphaSlider = $container.find(".alpha-slider");
                alphaVal = acp_get_alpha_value_from_color(startingColor);
                sliderOptions = {
                    create: function create(event, ui) {
                        var value = $(this).slider("value");
                        $(this).find(".ui-slider-handle").text(value);
                        $(this).siblings(".transparency ").css("background-color", startingColor);
                    },
                    value: alphaVal,
                    range: "max",
                    step: 1,
                    min: 0,
                    max: 100,
                    animate: 300
                };
                $alphaSlider.slider(sliderOptions);
                if ("true" == showOpacity) {
                    $alphaSlider.find(".ui-slider-handle").addClass("show-opacity");
                }
                $container.find(".min-click-zone").on("click", (function() {
                    acp_update_alpha_value_on_color_control(0, $control, $alphaSlider, true);
                }));
                $container.find(".max-click-zone").on("click", (function() {
                    acp_update_alpha_value_on_color_control(100, $control, $alphaSlider, true);
                }));
                $container.find(".iris-palette").on("click", (function() {
                    var color, alpha;
                    color = $(this).css("background-color");
                    alpha = acp_get_alpha_value_from_color(color);
                    acp_update_alpha_value_on_alpha_slider(alpha, $alphaSlider);
                    if (alpha != 100) {
                        color = color.replace(/[^,]+(?=\))/, (alpha / 100).toFixed(2));
                    }
                    $control.wpColorPicker("color", color);
                }));
                $container.find(".button.wp-picker-clear").on("click", (function() {
                    var key = $control.attr("data-customize-setting-link");
                    $control.wpColorPicker("color", "#ffffff");
                    wp.customize(key, (function(obj) {
                        obj.set("");
                    }));
                    acp_update_alpha_value_on_alpha_slider(100, $alphaSlider);
                }));
                $container.find(".button.wp-picker-default").on("click", (function() {
                    var alpha = acp_get_alpha_value_from_color(defaultColor);
                    acp_update_alpha_value_on_alpha_slider(alpha, $alphaSlider);
                }));
                $control.on("input", (function() {
                    var value = $(this).val();
                    var alpha = acp_get_alpha_value_from_color(value);
                    acp_update_alpha_value_on_alpha_slider(alpha, $alphaSlider);
                }));
                $alphaSlider.slider().on("slide", (function(event, ui) {
                    var alpha = parseFloat(ui.value) / 100;
                    acp_update_alpha_value_on_color_control(alpha, $control, $alphaSlider, false);
                    $(this).find(".ui-slider-handle").text(ui.value);
                }));
            }));
        }));
    }, () => {
        wp.customize.controlConstructor["wp-moose-call-to-action"] = wp.customize.Control.extend({
            ready: function ready() {
                "use strict";
                jQuery(".wp-moose-cta-button").on("click", (function() {
                    var target = jQuery(this).data("target");
                    if (target) {
                        wp.customize.section(target).focus();
                    }
                }));
            }
        });
    }, () => {
        wp.customize.controlConstructor["wp-moose-sortable"] = wp.customize.Control.extend({
            ready: function ready() {
                "use strict";
                var control = this;
                control.sortableContainer = control.container.find("ul.sortable").first();
                control.sortableContainer.sortable({
                    stop: function stop() {
                        control.updateValue();
                    }
                }).disableSelection().find("li").each((function() {
                    if (!jQuery(this).data("disabled")) {
                        jQuery(this).find("i.visibility").click((function() {
                            jQuery(this).toggleClass("dashicons-hidden").toggleClass("dashicons-visibility").parents("li:eq(0)").toggleClass("invisible");
                        }));
                    }
                })).click((function() {
                    control.updateValue();
                }));
            },
            updateValue: function updateValue() {
                "use strict";
                var control = this, newValue = [];
                this.sortableContainer.find("li").each((function() {
                    if (!jQuery(this).is(".invisible")) {
                        newValue.push(jQuery(this).data("value"));
                    }
                }));
                control.setting.set(newValue);
            }
        });
    }, () => {
            }, () => {
        (function($, api) {
            api.controlConstructor["wp-moose-heading"] = wp.customize.Control.extend({
                ready: function ready() {
                    "use strict";
                    var control = this;
                    if (control.params.default_state !== "open") {
                        api.bind("ready", (function() {
                            setTimeout((function() {
                                control.toggle();
                            }), 100);
                        }));
                    }
                    $(control.container).find(".wp-moose-heading-toggle").on("click", this.toggle.bind(control));
                },
                toggle: function toggle() {
                    var control = this;
                    for (var i = 0; i < control.params.items.length; i++) {
                        var item = api.control(control.params.items[i]);
                        if (item) {
                            $(item.selector).toggleClass("wp-moose-heading-hidden-item");
                        }
                    }
                    $(control.container).find(".wp-moose-heading-toggle span").toggleClass("dashicons-arrow-left").toggleClass("dashicons-arrow-down");
                }
            });
        })(jQuery, wp.customize);
    }, (__unused_webpack_module, __webpack_exports__, __webpack_require__) => {
        "use strict";
        __webpack_require__.r(__webpack_exports__);
    }, (__unused_webpack_module, __webpack_exports__, __webpack_require__) => {
        "use strict";
        __webpack_require__.r(__webpack_exports__);
    }, (__unused_webpack_module, __webpack_exports__, __webpack_require__) => {
        "use strict";
        __webpack_require__.r(__webpack_exports__);
    }, (__unused_webpack_module, __webpack_exports__, __webpack_require__) => {
        "use strict";
        __webpack_require__.r(__webpack_exports__);
    }, (__unused_webpack_module, __webpack_exports__, __webpack_require__) => {
        "use strict";
        __webpack_require__.r(__webpack_exports__);
    } ];
    var __webpack_module_cache__ = {};
    function __webpack_require__(moduleId) {
        var cachedModule = __webpack_module_cache__[moduleId];
        if (cachedModule !== undefined) {
            return cachedModule.exports;
        }
        var module = __webpack_module_cache__[moduleId] = {
            exports: {}
        };
        __webpack_modules__[moduleId](module, module.exports, __webpack_require__);
        return module.exports;
    }
    __webpack_require__.m = __webpack_modules__;
    (() => {
        var deferred = [];
        __webpack_require__.O = (result, chunkIds, fn, priority) => {
            if (chunkIds) {
                priority = priority || 0;
                for (var i = deferred.length; i > 0 && deferred[i - 1][2] > priority; i--) deferred[i] = deferred[i - 1];
                deferred[i] = [ chunkIds, fn, priority ];
                return;
            }
            var notFulfilled = Infinity;
            for (var i = 0; i < deferred.length; i++) {
                var [chunkIds, fn, priority] = deferred[i];
                var fulfilled = true;
                for (var j = 0; j < chunkIds.length; j++) {
                    if ((priority & 1 === 0 || notFulfilled >= priority) && Object.keys(__webpack_require__.O).every((key => __webpack_require__.O[key](chunkIds[j])))) {
                        chunkIds.splice(j--, 1);
                    } else {
                        fulfilled = false;
                        if (priority < notFulfilled) notFulfilled = priority;
                    }
                }
                if (fulfilled) {
                    deferred.splice(i--, 1);
                    var r = fn();
                    if (r !== undefined) result = r;
                }
            }
            return result;
        };
    })();
    (() => {
        __webpack_require__.o = (obj, prop) => Object.prototype.hasOwnProperty.call(obj, prop);
    })();
    (() => {
        __webpack_require__.r = exports => {
            if (typeof Symbol !== "undefined" && Symbol.toStringTag) {
                Object.defineProperty(exports, Symbol.toStringTag, {
                    value: "Module"
                });
            }
            Object.defineProperty(exports, "__esModule", {
                value: true
            });
        };
    })();
    (() => {
        var installedChunks = {
            1: 0,
            3: 0,
            2: 0,
            4: 0,
            6: 0,
            5: 0
        };
        __webpack_require__.O.j = chunkId => installedChunks[chunkId] === 0;
        var webpackJsonpCallback = (parentChunkLoadingFunction, data) => {
            var [chunkIds, moreModules, runtime] = data;
            var moduleId, chunkId, i = 0;
            if (chunkIds.some((id => installedChunks[id] !== 0))) {
                for (moduleId in moreModules) {
                    if (__webpack_require__.o(moreModules, moduleId)) {
                        __webpack_require__.m[moduleId] = moreModules[moduleId];
                    }
                }
                if (runtime) var result = runtime(__webpack_require__);
            }
            if (parentChunkLoadingFunction) parentChunkLoadingFunction(data);
            for (;i < chunkIds.length; i++) {
                chunkId = chunkIds[i];
                if (__webpack_require__.o(installedChunks, chunkId) && installedChunks[chunkId]) {
                    installedChunks[chunkId][0]();
                }
                installedChunks[chunkIds[i]] = 0;
            }
            return __webpack_require__.O(result);
        };
        var chunkLoadingGlobal = self["webpackChunkwp_theme_tailwind_boilerplate"] = self["webpackChunkwp_theme_tailwind_boilerplate"] || [];
        chunkLoadingGlobal.forEach(webpackJsonpCallback.bind(null, 0));
        chunkLoadingGlobal.push = webpackJsonpCallback.bind(null, chunkLoadingGlobal.push.bind(chunkLoadingGlobal));
    })();
    __webpack_require__.O(undefined, [ 3, 2, 4, 6, 5 ], (() => __webpack_require__(0)));
    __webpack_require__.O(undefined, [ 3, 2, 4, 6, 5 ], (() => __webpack_require__(10)));
    __webpack_require__.O(undefined, [ 3, 2, 4, 6, 5 ], (() => __webpack_require__(11)));
    __webpack_require__.O(undefined, [ 3, 2, 4, 6, 5 ], (() => __webpack_require__(12)));
    __webpack_require__.O(undefined, [ 3, 2, 4, 6, 5 ], (() => __webpack_require__(13)));
    var __webpack_exports__ = __webpack_require__.O(undefined, [ 3, 2, 4, 6, 5 ], (() => __webpack_require__(14)));
    __webpack_exports__ = __webpack_require__.O(__webpack_exports__);
})();