<?php
/**
 * Customizer Control: wp-moose-info
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( class_exists( 'Moose_Customize_Control' ) && ! class_exists( 'Moose_Info_Customize_Control' ) ) {
	/**
	 * Tabs control
	 */
	class Moose_Info_Customize_Control extends Moose_Customize_Control {
		/**
		 * Set the control type.
		 *
		 * @var string $type
		 */
		public $type = 'wp-moose-info';

		/**
		 * @var array
		 */
		public $messages = array();

		/**
		 * Refresh the parameters passed to the JavaScript via JSON.
		 *
		 * @see WP_Customize_Control::to_json()
		 */
		public function to_json() {
			parent::to_json();

			$this->json['messages'] = $this->messages;
		}

		/**
		 * An Underscore (JS) template for this control's content (but not its container).
		 *
		 * Class variables for this control class are available in the `data` JS object;
		 * export custom variables by overriding {@see WP_Customize_Control::to_json()}.
		 *
		 * @see WP_Customize_Control::print_template()
		 *
		 * @access protected
		 */
		protected function content_template() {
			?>
            <div class="wp-moose-info">
                <# _.each(data.messages, function(msg) { #>
                <# if (Array.isArray(msg)) { #>
                <ul class="wp-moose-info-item wp-moose-info-list">
                    <# _.each(msg, function(item) { #>
                    <li>{{{item}}}</li>
                    <# }); #>
                </ul>
                <# } else { #>
                <div class="wp-moose-info-item">{{{msg}}}</div>
                <# } #>
                <# }); #>
            </div>
			<?php
		}
	}
}
