<?php
/**
 * Customizer Control: wp-moose-switch
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( class_exists( 'Moose_Customize_Control' ) && ! class_exists( 'Moose_Switch_Customize_Control' ) ) {
	/**
	 * Switch control
	 */
	class Moose_Switch_Customize_Control extends Moose_Customize_Control {
		/**
		 * Set the control type.
		 *
		 * @var string $type
		 */
		public $type = 'wp-moose-switch';

		/**
		 * An Underscore (JS) template for this control's content (but not its container).
		 *
		 * Class variables for this control class are available in the `data` JS object;
		 * export custom variables by overriding {@see WP_Customize_Control::to_json()}.
		 *
		 * @see WP_Customize_Control::print_template()
		 *
		 * @access protected
		 */
		protected function content_template() {
			?>
            <div class="wp-moose-switch-wrapper">
                <label>
                    <span class="wp-moose-switch-label">{{{ data.label }}}</span>
                    <# if (data.value) { #>
                    <input class="wp-moose-switch-control" {{{ data.link }}} type="checkbox"/>
                    <# } else { #>
                    <input class="wp-moose-switch-control" {{{ data.link }}} checked="checked" type="checkbox"/>
                    <# } #>
                </label>
            </div>
			<?php
		}
	}
}
