<?php

function get_wp_moose_options()
{
    $options = array(
        'wp_moose_posts_layout'                    => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'archive-left',
    ),
        'wp_moose_archive_list_layout_image_width' => array(
        'sanitize_callback' => wp_moose_number_range_sanitizer( 0, 75 ),
        'default'           => 0,
    ),
        'wp_moose_show_archive_feature_image'      => array(
        'sanitize_callback' => 'wp_moose_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_moose_excerpt_length'                  => array(
        'sanitize_callback' => 'wp_moose_sanitize_number_range',
        'default'           => 40,
    ),
        'wp_moose_read_more_text'                  => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( 'Read More', 'wp-moose' ),
    ),
        'wp_moose_button_style'                    => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'primary',
    ),
        'wp_moose_pagination_style'                => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'primary',
    ),
        'wp_moose_pagination_type'                 => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'numeric',
    ),
        'wp_moose_is_outline_pagination'           => array(
        'sanitize_callback' => 'wp_moose_sanitize_checkbox',
        'default'           => false,
    ),
        'wp_moose_single_post_structure'           => array(
        'sanitize_callback' => 'wp_moose_sanitize_multi_select',
        'default'           => array( 'title-metas', 'featured-image', 'content' ),
    ),
        'wp_moose_single_post_metas'               => array(
        'sanitize_callback' => 'wp_moose_sanitize_multi_select',
        'default'           => array(
        'byline',
        'posted_on',
        'comments',
        'views'
    ),
    ),
        'wp_moose_posts_sidebar_layout'            => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'right-sidebar',
    ),
        'wp_moose_posts_container_style'           => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'shadow-boxes',
    ),
        'wp_moose_store_sidebar_layout'            => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'right-sidebar',
    ),
        'wp_moose_page_sidebar_layout'             => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'no-sidebar',
    ),
        'wp_moose_page_container_style'            => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'shadow-boxes',
    ),
        'wp_moose_blog_sidebar_layout'             => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'no-sidebar',
    ),
        'wp_moose_blog_container_style'            => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'shadow-boxes',
    ),
        'wp_moose_sidebar_container_style'         => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'shadow-boxes',
    ),
        'wp_moose_show_frontpage_hero'             => array(
        'sanitize_callback' => 'wp_moose_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_moose_frontpage_header_style'          => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'transparent',
    ),
        'wp_moose_frontpage_menu_style'            => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'links',
    ),
        'wp_moose_transparent_header_logo'         => array(
        'sanitize_callback' => 'absint',
        'default'           => '',
    ),
        'wp_moose_transparent_reverse_header_logo' => array(
        'sanitize_callback' => 'absint',
        'default'           => '',
    ),
        'wp_moose_text_logo'                       => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => 'Brand',
    ),
        'wp_moose_hero_background_type'            => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'image',
    ),
        'wp_moose_hero_background_color'           => array(
        'sanitize_callback' => 'sanitize_hex_color',
        'default'           => '#181830',
    ),
        'wp_moose_hero_gradient_start'             => array(
        'sanitize_callback' => 'sanitize_hex_color',
        'default'           => '#181830',
    ),
        'wp_moose_hero_gradient_end'               => array(
        'sanitize_callback' => 'sanitize_hex_color',
        'default'           => '#1b2e58',
    ),
        'wp_moose_hero_gradient_rotation'          => array(
        'sanitize_callback' => 'absint',
        'default'           => 45,
    ),
        'wp_moose_hero_content_color'              => array(
        'default'           => '#fff',
        'sanitize_callback' => 'sanitize_hex_color',
    ),
        'wp_moose_hero_background_image'           => array(
        'default'           => get_template_directory_uri() . '/dist/images/hero-background.jpg',
        'sanitize_callback' => 'esc_url_raw',
    ),
        'wp_moose_hero_background_mask'            => array(
        'default'           => 'rgba(24,24,48,0.7)',
        'sanitize_callback' => 'wp_moose_sanitize_rgba_color',
    ),
        'wp_moose_hero_shape_divider'              => array(
        'default'           => 'none',
        'sanitize_callback' => 'wp_moose_sanitize_select',
    ),
        'wp_moose_hero_shape_color'                => array(
        'default'           => '',
        'sanitize_callback' => 'sanitize_hex_color',
    ),
        'wp_moose_hero_shape_width'                => array(
        'default'           => 100,
        'sanitize_callback' => wp_moose_number_range_sanitizer( 100, 500, 1 ),
    ),
        'wp_moose_hero_shape_height'               => array(
        'default'           => 100,
        'sanitize_callback' => wp_moose_number_range_sanitizer( 0, 200, 1 ),
    ),
        'wp_moose_hero_shape_flip'                 => array(
        'default'           => false,
        'sanitize_callback' => 'wp_moose_sanitize_checkbox',
    ),
        'wp_moose_hero_shape_invert'               => array(
        'default'           => false,
        'sanitize_callback' => 'wp_moose_sanitize_checkbox',
    ),
        'wp_moose_hero_content_type'               => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'simple',
    ),
        'wp_moose_hero_content_alignment'          => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'center',
    ),
        'wp_moose_hero_title'                      => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( 'Change in the ', 'wp-moose' ),
    ),
        'wp_moose_hero_title_highlight'            => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( 'Customizer', 'wp-moose' ),
    ),
        'wp_moose_hero_subtitle'                   => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( 'Change in the Customizer', 'wp-moose' ),
    ),
        'wp_moose_hero_button_primary_text'        => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( 'Change in the Customizer', 'wp-moose' ),
    ),
        'wp_moose_hero_button_primary_url'         => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( '#', 'wp-moose' ),
    ),
        'wp_moose_hero_button_secondary_text'      => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( 'Change in the Customizer', 'wp-moose' ),
    ),
        'wp_moose_hero_button_secondary_url'       => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( '#', 'wp-moose' ),
    ),
        'wp_moose_hero_button_style'               => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'primary',
    ),
        'wp_moose_header_style'                    => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'ghost',
    ),
        'wp_moose_menu_style'                      => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'links',
    ),
        'wp_moose_header_brand'                    => array(
        'sanitize_callback' => 'wp_moose_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_moose_sticky_header'                   => array(
        'sanitize_callback' => 'wp_moose_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_moose_show_header_title'               => array(
        'sanitize_callback' => 'wp_moose_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_moose_show_header_tagline'             => array(
        'sanitize_callback' => 'wp_moose_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_moose_show_header_search'              => array(
        'sanitize_callback' => 'wp_moose_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_moose_copyright_text'                  => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( 'Copyright &copy; All rights reserved.', 'wp-moose' ),
    ),
        'wp_moose_footer_style'                    => array(
        'sanitize_callback' => 'wp_moose_sanitize_select',
        'default'           => 'base',
    ),
        'wp_moose_show_to_top'                     => array(
        'sanitize_callback' => 'wp_moose_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_moose_disable_preloader'               => array(
        'sanitize_callback' => 'wp_moose_sanitize_checkbox',
        'default'           => false,
    ),
    );
    return $options;
}

function get_wp_moose_option_args( $id )
{
    $args = get_wp_moose_options()[$id];
    $args['id'] = $id;
    return $args;
}

function get_wp_moose_option( $id )
{
    $default = get_wp_moose_options()[$id]['default'];
    $value = get_theme_mod( $id, $default );
    return apply_filters( $id, $value );
}
