<?php

if ( ! function_exists( 'wp_moose_register_frontpage_general_options' ) ) {
	/**
	 * Add frontpage general section and controls.
	 *
	 * @param \WP_Customize_Manager $wp_customize
	 */
	function wp_moose_register_frontpage_general_options( $wp_customize, $section_id, $priority = 100 ) {

		$wp_customize->add_section( $section_id, array(
			'title'    => esc_html__( 'General', 'wp-moose' ),
			'panel'    => 'wp_moose_frontpage_panel',
			'priority' => $priority,
		) );

		wp_moose_register_options( $wp_customize, array(
			'name'           => 'wp_moose_show_frontpage_hero',
			'label'          => esc_html__( 'Show Hero', 'wp-moose' ),
			'section'        => $section_id,
			'custom_control' => Moose_Switch_Customize_Control::class,
		) );
	}
}