<?php
/**
 * Template content
 */

$layout        = get_wp_moose_sidebar_layout( 'page' );
$is_full_width = get_query_var( 'wp_moose_template_width' ) === 'full';

$wrap_clsx = array(
	'container mx-auto py-half-gutter lg:flex' => ! $is_full_width,
	'no-sidebar'                               => $layout === 'no-sidebar',
	'lg:flex-row'                              => $layout === 'right-sidebar',
	'lg:flex-row-reverse'                      => $layout === 'left-sidebar',
);
?>

<div id="content" class="<?php wp_moose_clsx_echo( $wrap_clsx ); ?>">
    <div class="flex-grow p-half-gutter">
        <div class="rounded-md p-gutter <?php echo get_wp_moose_page_container_style(); ?>">
			<?php
			// posts loop
			while ( have_posts() ) {
				the_post();

				the_content();
			}
			?>
        </div>
    </div>

	<?php
	/**
	 * Hook - wp_moose_action_sidebar.
	 *
	 * @hooked wp_moose_add_primary_sidebar   - 10;
	 */
	do_action( 'wp_moose_action_sidebar', $layout );
	?>
</div>
