<?php
/**
 * The template part for single post.
 *
 * @package Moose
 */

$layout = get_wp_moose_sidebar_layout( 'blog' );

$wrap_clsx = array(
	'container mx-auto py-half-gutter lg:flex',
	'no-sidebar'          => $layout === 'no-sidebar',
	'lg:flex-row'         => $layout === 'right-sidebar',
	'lg:flex-row-reverse' => $layout === 'left-sidebar',
);
?>
<div class="<?php wp_moose_clsx_echo( $wrap_clsx ); ?>">
    <div class="flex-grow p-half-gutter">
        <div id="content" class="rounded-md p-gutter <?php echo get_wp_moose_blog_container_style(); ?>">
			<?php
			// posts loop
			while ( have_posts() ) {
				the_post();

				/**
				 * Hook - wp_moose_action_before_single_post.
				 */
				do_action( 'wp_moose_action_before_single_post' );

				/**
				 * Hook - wp_moose_action_single_post.
				 *
				 * @hooked wp_moose_show_post_content     - 10
				 */
				do_action( 'wp_moose_action_single_post', $layout );

				echo '<div class="max-w-prose mx-auto mt-gutter">';

				/**
				 * Hook - wp_moose_action_after_single_post.
				 *
				 * @hooked wp_moose_add_post_navigation       - 10
				 * @hooked wp_moose_add_after_post_widgets    - 20
				 * @hooked wp_moose_add_comments              - 30
				 */
				do_action( 'wp_moose_action_after_single_post' );

				echo '</div>';
			}
			?>
        </div>
    </div>

	<?php
	/**
	 * Hook - wp_moose_action_sidebar.
	 *
	 * @hooked wp_moose_add_primary_sidebar   - 10;
	 */
	do_action( 'wp_moose_action_sidebar', $layout );
	?>
</div>
